package com.dgtis.dorm.manager.db.service;

import com.dgtis.dorm.manager.db.domain.Storage;
import org.springframework.core.io.Resource;
import org.springframework.web.multipart.MultipartFile;

import java.io.InputStream;
import java.nio.file.Path;
import java.util.List;

public interface StorageService {
    /**
     * @descption: 根据key查询store
     * @param: [key]
     * @return: com.dgtis.dorm.manager.db.domain.Storage
     * @auther: koucx
     * @date: 2019/5/13 0013 11:47
     */
    Storage selectByKey(Storage key);

    Storage store(MultipartFile file);

    Storage store(MultipartFile file, String imgBelongs);


    Path load(String filename);


    Resource loadAsResource(String filename);

    void deleteById(Integer fileId);

    /**
     * 方法描述  存储二维码
     *
     * @author huanghaoqi
     * @date 2018年12月06日 11:53:55
     */
    Storage storeQrCode(InputStream inputStream,String fileName);
    /**
     * 方法描述  打包下载
     *
     * @author huanghaoqi
     * @date 2018年12月10日 09:40:30
     */
    Resource downloadZip(List<String> fileIds,String fileName);

}